Change log for zope.deprecation package in Ubuntu

114 of 14 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-13
Deleted in disco-proposed (Reason: moved to release)
zope.deprecation (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0

 -- TANIGUCHI Takaki <email address hidden>  Wed, 12 Dec 2018 22:33:21 +0900

Available diffs

Superseded in disco-release on 2018-12-13
Deleted in disco-proposed on 2018-12-15 (Reason: moved to release)
zope.deprecation (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Bump Stanrads-Version to 4.2.1
  * debian/compat: 11
  * d/control:
    - Remove ancient X-Pyhthon*-Version
    - Drop python2 sphinx from B-D.
    - Move Vcs-* to salsa.d.o
    - Replace deprecated priority extra

 -- TANIGUCHI Takaki <email address hidden>  Wed, 10 Oct 2018 14:02:23 +0900

Available diffs

Superseded in disco-release on 2018-11-11
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
zope.deprecation (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: 
    - Bump Standards-Version with no other changes necessary.
    - Bump debhelper version to 9.
    - Add Build-Depends on python{,3}-sphinxdoc
  * d/compat: Bump to version 9.
  * d/rules: Add --with sphinxdoc (Closes: #751798)
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <email address hidden>  Tue, 09 Jun 2015 18:34:57 -0400

Available diffs

Superseded in wily-release on 2015-06-10
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
zope.deprecation (4.1.1-3) unstable; urgency=medium


  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.
  * Add myself to Uploaders.

 -- Barry Warsaw <email address hidden>  Mon, 30 Jun 2014 15:13:44 -0400

Available diffs

Superseded in utopic-release on 2014-07-01
Deleted in utopic-proposed on 2014-07-02 (Reason: moved to release)
zope.deprecation (4.1.1-2) unstable; urgency=medium


  * Team upload.
  * debian/copyright: Add Files-Excluded to prune pre-build Sphinx
    artifacts in docs/_build/html/_static from the original tarball.
    Closes: #752078

 -- Barry Warsaw <email address hidden>  Thu, 19 Jun 2014 14:34:48 -0400

Available diffs

Superseded in utopic-release on 2014-06-20
Deleted in utopic-proposed on 2014-06-21 (Reason: moved to release)
zope.deprecation (4.1.1-1) unstable; urgency=medium


  * Team upload.
  * New upstream release.
  * debian/control:
    - Added Python 3 Build-Depends.
    - Added X-Python3-Version header.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added python3-zope.deprecation binary package.
    - Added XS-Testsuite for DEP-8 test support.  (Closes: #692675)
  * debian/rules:
    - Switch to pybuild build system.
    - Add --with python3.

 -- Barry Warsaw <email address hidden>  Tue, 17 Jun 2014 10:05:30 -0400

Available diffs

Superseded in utopic-release on 2014-06-19
Published in trusty-release on 2013-10-23
Deleted in trusty-proposed (Reason: moved to release)
zope.deprecation (4.0.2-1) unstable; urgency=low


  [ Gediminas Paulauskas ]
  * New upstream release.

  [ TANIGUCHI Takaki ]
  * Change the section to zope.

 -- TANIGUCHI Takaki <email address hidden>  Tue, 08 Oct 2013 13:18:25 +0900

Available diffs

Superseded in trusty-release on 2013-10-23
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
zope.deprecation (4.0.0-1) unstable; urgency=low


  * New upstream release

 -- TANIGUCHI Takaki <email address hidden>  Sun, 10 Jun 2012 20:23:34 +0900

Available diffs

Superseded in quantal-release on 2012-06-11
Published in precise-release on 2012-04-06
zope.deprecation (3.5.1-1) unstable; urgency=low


  * New upstream release
  * Bump[ Standards-Version to 3.9.3.
    + debian/copyright: Update to copyright-format 1.0. 

 -- TANIGUCHI Takaki <email address hidden>  Sat, 24 Mar 2012 11:22:25 +0900
Superseded in precise-release on 2012-04-06
zope.deprecation (3.5.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Revert a change in 3.5.0 that breaks zope.app.apidoc
 -- Gediminas Paulauskas <email address hidden>   Thu, 15 Mar 2012 12:23:13 +0200
Superseded in precise-release on 2012-03-15
zope.deprecation (3.5.0-1) unstable; urgency=low


  * New upstream release

 -- TANIGUCHI Takaki <email address hidden>  Tue, 20 Sep 2011 11:38:35 +0900
Superseded in precise-release on 2011-11-14
Obsolete in oneiric-release on 2015-04-24
zope.deprecation (3.4.1-1ubuntu1) oneiric; urgency=low

  * Merge with Debian.  Remaining changes:
    - debian/control:
      + add X-Python-Version
      + Build-Depends on python-all (>= 2.6.6-3~)
      + Suggests: python-zope.testing
    - debian/tests: files for autopkgtest.
    - debian/copyright: format like other Zope packages, no debian/* section.
  * debian/control: add Vcs-Svn, Vcs-Browser.
 -- Gediminas Paulauskas <email address hidden>   Wed, 03 Aug 2011 15:27:14 +0300
Superseded in oneiric-release on 2011-08-03
zope.deprecation (3.4.0-2ubuntu3) oneiric; urgency=low

  * dh_python2 transition.
  * changed to source format 3.0 quilt.
  * added debian/pydist-overrides to assist dhp2 calculate Depends.
  * debian/rules
    - changed "--with python-central" to "--with python2".
  * debian/control
    - changed python-all to (>= 2.6.6-3~).
    - removed B-D on python-central.
    - increased Standards Version to 3.9.2.
    - changed XS-P-V: all to X-P-V: >= 2.5.
    - removed XB-P-V, no longer needed.
 -- Charlie Smotherman <email address hidden>   Sun, 26 Jun 2011 23:13:54 -0500

Available diffs

Superseded in oneiric-release on 2011-06-30
Obsolete in natty-release on 2013-06-04
zope.deprecation (3.4.0-2ubuntu2) natty; urgency=low

  * Upload to Natty (LP: #416661)

114 of 14 results